#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.0
visibility:           public
id:                   persistent-test-2.13.1.0-5Zy9NSmrJ2jCHytLIVXgCy
key:                  persistent-test-2.13.1.0-5Zy9NSmrJ2jCHytLIVXgCy
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  80e9dfac8bb5447830a3b372a59dfa1f
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.0-5Zy9NSmrJ2jCHytLIVXgCy
depends:
    HUnit-1.6.2.0-7Y0VuWuCIsAKWjVqhc1VJN
    QuickCheck-2.14.2-JAfVoSJ1VKW3z92cRcZSMa
    aeson-1.5.6.0-2qjjmnAKexuB7sng1Bw4lo base-4.15.1.0
    blaze-html-0.9.1.2-JHtKPPH7GqVCqE0HIAnkNH bytestring-0.10.12.1
    conduit-1.3.4.2-5Sfb9MxGjGeJfVZ4wYaBEO containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.7-Hqvfjv77nraH1UGvGwEFYr
    hspec-expectations-0.8.2-70bq11nry2hBjSoOlxPmb7
    http-api-data-0.4.3-9A2NhdM2XN9p1bEdBCBZ6
    monad-control-1.0.3.1-H9ID8Z5g5DA1MNb6YoNW0V
    monad-logger-0.3.36-LTmkoMAN0iQPrc7DtqInB mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-9gSBdHLKhhf2PsWkhw4a2R
    quickcheck-instances-0.3.27-JVUoYQ9QNQtFN5rm9QujU9
    random-1.2.1.1-HP1Jl4dlbgf891wCLsy6Z9
    resourcet-1.2.6-7SxpuU6eh4f7w9cLMDUzC1 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-HKgChHTfaT3IF4ckH9MjYK
    unliftio-0.2.22.0-2sZxbZxR8nwAERPpJrrLo9
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-FiUFtsHtx28IfDtF4iaH6c

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

